# CE-RISE Architecture

This repository serves as the hub or architectural documentation of the CE-RISE information system (https://ce-rise.eu). The CE-RISE arhcitecture was developed as a project deliverable report, included here under documentation. A more up-to-date versions is maintained here under `docs`. 

The goal of the architecture is to provide a representation of the system's components, interactions, and relationships between individual microservices comprisig the Information System. 

## Structure
This repository is organized into two sections,**Documentation** and **Diagrams**. The **Documentation** (`docs`) directory contains the latest version of the system architecture, together with all diagrams used (under `docs/media`). The **diagrams** directory contains working versions of diagrams in PlantUML format, for both C4-model black and white box model descriptions, and sequence diagrams The advantage of this textual representation of the diagrams is that it is possible to iterate quickly through different diagram versions. A small user guide to diagrams is giving in the diagrams directory.


## Funding
This work has received funding from the Horizon Europe project CE-RISE under Grant Agreement 101092281.

## Repository Contributors

* Evert Bouman <a href="mailto:eab&commat;nilu&period;no"> 
eab&commat;nilu&period;no</a>
* Miguel Las Heras Hernandez <a href="mailto:mher&commat;nilu&period;no"> 
mher&commat;nilu&period;no</a>
* Bendik Svalastog <a href="mailto:bsva&commat;nilu&period;no"> 
bsva&commat;nilu&period;no</a>
* Riccardo Boero <a href="mailto:ribo&commat;nilu&period;no"> 
ribo&commat;nilu&period;no</a>